# Interface EdECPublicKey

All Superinterfaces:
  `AsymmetricKey, DEREncodablePREVIEW, EdECKey, Key, PublicKey, Serializable`

public interface EdECPublicKey extends EdECKey, PublicKey
An interface for an elliptic curve public key as defined by RFC 8032: Edwards-Curve Digital Signature Algorithm (EdDSA). These keys are distinct from the keys represented by `ECPublicKey`, and they are intended for use with algorithms based on RFC 8032 such as the EdDSA `Signature` algorithm.

An Edwards-Curve public key is a point on the curve, which is represented using an EdECPoint.

Since:
  15
External Specifications
  - RFC 8032: Edwards-Curve Digital Signature Algorithm (EdDSA)

## Field Summary

### Fields declared in interface PublicKey

`serialVersionUID`
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.

## Method Summary

Modifier and Type
Method
Description
`default NamedParameterSpec`
`getParams()`
Returns the parameters associated with this key.
`EdECPoint`
`getPoint()`
Get the point representing the public key.

### Methods declared in interface Key

`getAlgorithm, getEncoded, getFormat`
Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Returns the standard algorithm name for this key.
`byte[]`
`getEncoded()`
Returns the key in its primary encoding format, or `null` if this key does not support encoding.
`String`
`getFormat()`
Returns the name of the primary encoding format of this key, or `null` if this key does not support encoding.

## Method Details

### getPoint

EdECPoint getPoint()
Get the point representing the public key.

Returns:
  the `EdECPoint` representing the public key.

### getParams

default NamedParameterSpec getParams()
Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.

Specified by:
  `getParams` in interface `AsymmetricKey`
Specified by:
  `getParams` in interface `EdECKey`
Implementation Requirements:
  The default implementation returns `null`.
Returns:
  the associated parameters, may be `null`